> ## Documentation Index
> Fetch the complete documentation index at: https://developers.logicgate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy by field



## OpenAPI

````yaml POST /api/v1/attachments/copy
openapi: 3.1.0
info:
  title: Risk Cloud API
  description: >-
    The Risk Cloud API is a collection of RESTful API endpoints that empower you
    and your team to directly integrate, automate, and build with the Risk
    Cloud. Risk Cloud API endpoint payloads are JSON based, with some endpoints
    supporting exports in CSV and XSLX formats for flexible integration.


    This API documentation showcases our Risk Cloud API v1, containing a variety
    of endpoints with continued support for enabling integrations with the Risk
    Cloud.


    Visit the [LogicGate Risk Cloud Developer
    Portal](https://www.logicgate.com/developer/) to get started with building
    your custom integration with quick start guides, usage guides, release
    notes, and more. Or download the [v1 OpenAPI
    specification](/legacy-openapi.json).


    Explore our [Risk Cloud API v2](https://docs.logicgate.com/v2/index.html)
    endpoints and documentation as well. [Risk Cloud API
    v2](https://docs.logicgate.com/v2/index.html) is our collection of API-First
    endpoints that are tailor made for our developer users, offer concise and
    highly documented details, are supported by a [Postman
    collection](https://www.postman.com/logicgate-postman/workspace/logicgate-risk-cloud-api/collection/29257227-de8d264b-6eeb-4177-bea6-2da0a8cabffc)
    and [v2 OpenAPI specification](https://github.com/LogicGateTech/openapi),
    and contain our latest API endpoint releases.
  contact:
    name: developer-relations@logicgate.com
    email: developer-relations@logicgate.com
  version: v2026.11.0
servers:
  - url: https://{subdomain}.logicgate.com
    description: Your Risk Cloud environment.
    variables:
      subdomain:
        description: Your Risk Cloud environment's subdomain (e.g. `qa`).
        default: your-instance
security:
  - ApiToken: []
  - basic: []
tags:
  - name: Authentication
    description: >-
      Getting Started: How to create an [API Access
      Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
      to begin integrating with the Risk Cloud API
  - name: Attachment
    description: Endpoints for uploading, downloading, and retrieving record attachments.
  - name: Field
    description: Endpoints for creating, updating, and querying fields.
  - name: Principal
    description: >-
      Endpoints for the authenticated principal to view and manage their own
      details.
  - name: Record Audit
    description: Endpoints for retrieving record audit history and productivity data.
  - name: Step
    description: Endpoints for retrieving steps and the steps a user can access.
  - name: Table Report
    description: Endpoints for retrieving and managing table reports.
  - name: User Group
    description: Endpoints for managing user groups and their membership.
externalDocs:
  description: Developer Portal
  url: https://www.logicgate.com/developer/
paths:
  /api/v1/attachments/copy:
    post:
      tags:
        - Attachment
      summary: >-
        Copy an existing attachment field's default files for a new attachment
        field sent as request body.
      operationId: copyByField
      parameters:
        - name: field
          in: query
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Attachment_FullFieldSummary'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/CurrentAttachmentValue_CurrentValueSummary
components:
  schemas:
    Attachment_FullFieldSummary:
      allOf:
        - $ref: '#/components/schemas/Field_FullFieldSummary'
      required:
        - enableVersions
        - fieldType
    CurrentAttachmentValue_CurrentValueSummary:
      type: object
      description: Entity storing attachment related information of a field's value.
      discriminator:
        propertyName: attachmentStatus
      oneOf:
        - $ref: '#/components/schemas/PendingAttachment_CurrentValueSummary'
        - description: >-
            And other types: CleanAttachment_CurrentValueSummary,
            DirtyAttachment_CurrentValueSummary
      properties:
        id:
          type: string
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        attachmentStatus:
          type: string
        contentType:
          type: string
        fileSize:
          type: integer
          format: int64
        fileExtension:
          type: string
        originalFileExtension:
          type: string
        awsS3Key:
          type: string
        versionCount:
          type: integer
          format: int32
        updatedBy:
          type: string
        source:
          type: string
          enum:
            - USER
            - GOOGLE
            - SHAREPOINT
        office365Eligible:
          type: boolean
        wopiFileLockPresent:
          type: boolean
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - archived
        - attachmentStatus
        - awsS3Key
        - contentType
        - discriminator
        - fileExtension
        - fileSize
        - id
        - isDefault
        - numericValue
        - originalFileExtension
        - priority
        - source
        - textValue
        - updatedBy
        - userGroup
        - valueType
        - versionCount
    Field_FullFieldSummary:
      type: object
      description: >-
        An entity used to manage input fields used to capture record data for
        different workflows.
      discriminator:
        propertyName: fieldType
      oneOf:
        - $ref: '#/components/schemas/Text_FullFieldSummary'
        - description: >-
            And other types: ExternalUser_FullFieldSummary,
            ExternalId_FullFieldSummary, TextArea_FullFieldSummary,
            DatePicker_FullFieldSummary, Number_FullFieldSummary,
            ESignature_FullFieldSummary, Checkbox_FullFieldSummary,
            MultiSelect_FullFieldSummary, Radio_FullFieldSummary,
            Select_FullFieldSummary, Attachment_FullFieldSummary,
            User_FullFieldSummary, Evidence_FullFieldSummary,
            Calculation_FullFieldSummary, FixedDateCalculation_FullFieldSummary,
            LinkedRecordsCount_FullFieldSummary, DueDate_FullFieldSummary,
            TransientFieldDaysUntilDue_FullFieldSummary,
            AnnualLossExposure_FullFieldSummary, AecInfo_FullFieldSummary,
            Text_FullFieldSummary, ExternalUser_FullFieldSummary,
            ExternalId_FullFieldSummary, TextArea_FullFieldSummary,
            DatePicker_FullFieldSummary, Number_FullFieldSummary,
            ESignature_FullFieldSummary, Checkbox_FullFieldSummary,
            MultiSelect_FullFieldSummary, Radio_FullFieldSummary,
            Select_FullFieldSummary, Attachment_FullFieldSummary,
            User_FullFieldSummary, Evidence_FullFieldSummary,
            Calculation_FullFieldSummary, TextConcatenation_FullFieldSummary,
            FixedDateCalculation_FullFieldSummary,
            LinkedRecordsCount_FullFieldSummary, DueDate_FullFieldSummary,
            TransientFieldDaysUntilDue_FullFieldSummary,
            AnnualLossExposure_FullFieldSummary, AecInfo_FullFieldSummary
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        fieldType:
          type: string
          enum:
            - TEXT
            - EXTERNAL_USER
            - EXTERNAL_ID
            - TEXT_AREA
            - DATE_PICKER
            - NUMBER
            - E_SIGNATURE
            - CHECKBOX
            - MULTI_SELECT
            - RADIO
            - SELECT
            - USER
            - ATTACHMENT
            - CALCULATION
            - TEXT_CONCATENATION
            - FIXED_DATE_CALCULATION
            - LINKED_RECORDS_COUNT
            - DUE_DATE
            - DAYS_UNTIL_DUE
            - EVIDENCE
            - AEC_INFO
            - ANNUAL_LOSS_EXPOSURE
        name:
          type: string
          description: The name of the field.
        labels:
          type: array
          items:
            type: string
          uniqueItems: true
        label:
          type: string
          description: >-
            The label will appear as the label for the field when it appears on
            forms for user's to complete.
        tooltip:
          type: string
          description: A text value that will populate any tooltip information.
        helpText:
          type: string
          description: >-
            A text value that supplies necessary context for a person to fill
            out an input field.
        format:
          type: string
          enum:
            - CURRENCY
            - DECIMAL
        currency:
          type: string
          enum:
            - EUR
            - GBP
            - USD
        enabledForRecordAccess:
          type: boolean
        currentValues:
          type: array
          description: >-
            Relationship to current values that are associated to the field. A
            field maybe have multiple current values associated to it.
          items:
            $ref: '#/components/schemas/CurrentValue_FullFieldSummary'
        defaultValues:
          type: array
          description: >-
            Relationship to current values that are defaulted to the field. A
            field maybe have multiple default current values associated to it.
          items:
            $ref: '#/components/schemas/CurrentValue_FullFieldSummary'
        workflow:
          $ref: '#/components/schemas/Workflow_FullFieldSummary'
          description: Workflow object that is associated to the field.
        analysisEstimate:
          type: string
          enum:
            - CONFIDENCE
            - MAXIMUM
            - MINIMUM
            - MOST_LIKELY
        analysisType:
          type: string
          enum:
            - CONTACT_FREQUENCY
            - LOSS_EVENT_FREQUENCY
            - LOSS_MAGNITUDE
            - PRIMARY_PRODUCTIVITY_LOSS
            - PRIMARY_RESPONSE_LOSS
            - PRIMARY_REPLACEMENT_LOSS
            - PRIMARY_COMPETITIVE_ADVANTAGE_LOSS
            - PRIMARY_FINES_OR_JUDGEMENTS_LOSS
            - PRIMARY_REPUTATION_DAMAGE_LOSS
            - PROBABILITY_OF_ACTION
            - RESISTANCE_STRENGTH
            - SECONDARY_PRODUCTIVITY_LOSS
            - SECONDARY_RESPONSE_LOSS
            - SECONDARY_REPLACEMENT_LOSS
            - SECONDARY_COMPETITIVE_ADVANTAGE_LOSS
            - SECONDARY_FINES_OR_JUDGEMENTS_LOSS
            - SECONDARY_REPUTATION_DAMAGE_LOSS
            - SECONDARY_LOSS_EVENT_FREQUENCY
            - SECONDARY_LOSS_MAGNITUDE
            - THREAT_CAPABILITY
            - THREAT_EVENT_FREQUENCY
            - VULNERABILITY
        operators:
          type: array
          items:
            type: string
            enum:
              - EQUALS
              - NOT_EQUALS
              - IS
              - IS_NOT
              - GREATER_THAN
              - GREATER_THAN_EQUALS
              - LESS_THAN
              - LESS_THAN_EQUALS
              - CONTAINS
              - DOES_NOT_CONTAIN
              - 'NULL'
              - NOT_NULL
              - DATE_RANGE
              - NUMERIC_RANGE
        convertibleTo:
          type: array
          items:
            type: string
        copyRecordAccessField:
          type: boolean
        currencyForNumberDisplayingFields:
          description: Circular reference to Field_FullFieldSummary
          writeOnly: true
        valueType:
          type: string
        global:
          type: boolean
        requiresUniqueValue:
          type: boolean
        parameterizedCurrentValues:
          type: array
          items:
            $ref: '#/components/schemas/CurrentValueObject_FullFieldSummary'
          writeOnly: true
        analysisOutputField:
          type: boolean
        discrete:
          type: boolean
        currentValuesFromOtherField:
          description: Circular reference to Field_FullFieldSummary
          writeOnly: true
        formatForNumberDisplayingFields:
          description: Circular reference to Field_FullFieldSummary
          writeOnly: true
        crossWorkflowCalculation:
          type: boolean
        validTypeForCalculationInput:
          type: boolean
      required:
        - active
        - analysisEstimate
        - analysisType
        - convertibleTo
        - copyRecordAccessField
        - created
        - currency
        - currentValues
        - defaultValues
        - enabledForRecordAccess
        - fieldType
        - format
        - helpText
        - id
        - label
        - labels
        - name
        - operators
        - tooltip
        - updated
        - workflow
    PendingAttachment_CurrentValueSummary:
      allOf:
        - $ref: >-
            #/components/schemas/CurrentValueCurrentValueObject_CurrentValueSummary
        - $ref: '#/components/schemas/CurrentValueObject_CurrentValueSummary'
        - $ref: '#/components/schemas/CurrentValue_CurrentValueSummary'
        - description: Circular reference to CurrentAttachmentValue_CurrentValueSummary
    Text_FullFieldSummary:
      allOf:
        - description: Circular reference to Field_FullFieldSummary
      required:
        - fieldType
    CurrentValue_FullFieldSummary:
      type: object
      description: Entity used to manage record's field data.
      discriminator:
        propertyName: discriminator
      oneOf:
        - $ref: '#/components/schemas/CurrentCommonValue_FullFieldSummary'
        - description: >-
            And other types: CurrentDateValue_FullFieldSummary,
            CurrentDateRangeValue_FullFieldSummary,
            CurrentJobValue_FullFieldSummary,
            CurrentCommonValue_FullFieldSummary,
            CurrentDateValue_FullFieldSummary,
            CurrentDateRangeValue_FullFieldSummary, LabelValue_FullFieldSummary,
            CleanAttachment_FullFieldSummary, DirtyAttachment_FullFieldSummary,
            PendingAttachment_FullFieldSummary,
            CurrentGoogleAttachmentValue_FullFieldSummary,
            CurrentSharepointAttachmentValue_FullFieldSummary,
            Active_FullFieldSummary, Automated_FullFieldSummary,
            Disabled_FullFieldSummary, External_FullFieldSummary,
            Locked_FullFieldSummary, Service_FullFieldSummary,
            CurrentNumericRangeValue_FullFieldSummary,
            CurrentJobValue_FullFieldSummary
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - active
        - archived
        - created
        - discriminator
        - id
        - isDefault
        - numericValue
        - priority
        - textValue
        - updated
        - userGroup
        - valueType
    Workflow_FullFieldSummary:
      type: object
      description: >-
        An entity that contains information about a set of steps within a
        particular application.
      discriminator:
        propertyName: workflowType
      oneOf:
        - $ref: '#/components/schemas/ControlWorkflow_FullFieldSummary'
        - description: 'And other types: JiraWorkflow_FullFieldSummary'
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        name:
          type: string
          description: Name of the workflow.
        description:
          type: string
          description: Description of the workflow.
          maxLength: 2000
          minLength: 0
        recordPrefix:
          type: string
          description: Name to be used for every record created from the workflow.
        allowGroups:
          type: boolean
          description: Nodes created in the workflow are allowed user groups.
        requireGroups:
          type: boolean
          description: Nodes created in the workflow require user groups.
        xpos:
          type: integer
          format: int32
          description: X axis position of the workflow on the application screen
        ypos:
          type: integer
          format: int32
          description: Y axis position of the workflow on the application screen
        priority:
          type: integer
          format: int32
          description: >-
            Determines the workflow's place in the application. Priority is in
            descending order with 0 being the first workflow.
        sla:
          $ref: '#/components/schemas/ServiceLevelAgreement_FullFieldSummary'
          description: Object containing all SLA information.
        allowAec:
          type: boolean
          description: Enables automated evidence collection.
        allowRcsa:
          type: boolean
          description: Allow Risk & Control Self-Assessments.
        sequence:
          $ref: '#/components/schemas/WorkflowSequence_FullFieldSummary'
        application:
          $ref: '#/components/schemas/Application_FullFieldSummary'
          description: Application that the workflow belongs to.
        userGroups:
          type: array
          description: User groups that are allowed access to the workflow
          items:
            $ref: '#/components/schemas/UserGroup_FullFieldSummary'
        primaryField:
          $ref: '#/components/schemas/PrimaryField_FullFieldSummary'
        workflowType:
          type: string
          enum:
            - WORKFLOW
            - JIRA_WORKFLOW
            - CONTROL_WORKFLOW
            - ANALYSIS_WORKFLOW
        currentValueUserGroupMappings:
          type: array
          items:
            $ref: '#/components/schemas/CurrentValueUserGroupMapping_FullFieldSummary'
        automatedAccessEnabled:
          type: boolean
        automatedAccessFields:
          type: array
          description: Fields that triggers automated access changes
          items:
            description: Circular reference to Field_FullFieldSummary
          maxItems: 6
          minItems: 0
        automatedAccessFieldId:
          type: string
        summaryFields:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowSummaryField_FullFieldSummary'
          maxItems: 5
          minItems: 0
        contains:
          description: Circular reference to Workflow_FullFieldSummary
          writeOnly: true
        canSelect:
          description: Circular reference to Workflow_FullFieldSummary
          writeOnly: true
        pluralizedRecordPrefix:
          type: string
      required:
        - active
        - allowAec
        - allowGroups
        - allowRcsa
        - application
        - automatedAccessEnabled
        - automatedAccessFieldId
        - automatedAccessFields
        - created
        - currentValueUserGroupMappings
        - description
        - id
        - name
        - primaryField
        - priority
        - recordPrefix
        - requireGroups
        - sequence
        - sla
        - summaryFields
        - updated
        - userGroups
        - workflowType
        - xpos
        - ypos
    CurrentValueObject_FullFieldSummary:
      type: object
      description: Entity used to manage record's field data.
      discriminator:
        propertyName: discriminator
      oneOf:
        - $ref: '#/components/schemas/CurrentCommonValue_FullFieldSummary'
        - description: >-
            And other types: CurrentDateValue_FullFieldSummary,
            CurrentDateRangeValue_FullFieldSummary,
            CurrentJobValue_FullFieldSummary,
            CurrentCommonValue_FullFieldSummary,
            CurrentDateValue_FullFieldSummary,
            CurrentDateRangeValue_FullFieldSummary, LabelValue_FullFieldSummary,
            CleanAttachment_FullFieldSummary, DirtyAttachment_FullFieldSummary,
            PendingAttachment_FullFieldSummary,
            CurrentGoogleAttachmentValue_FullFieldSummary,
            CurrentSharepointAttachmentValue_FullFieldSummary,
            Active_FullFieldSummary, Automated_FullFieldSummary,
            Disabled_FullFieldSummary, External_FullFieldSummary,
            Locked_FullFieldSummary, Service_FullFieldSummary,
            CurrentNumericRangeValue_FullFieldSummary,
            CurrentJobValue_FullFieldSummary
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - active
        - archived
        - created
        - discriminator
        - id
        - isDefault
        - numericValue
        - priority
        - textValue
        - updated
        - userGroup
        - valueType
    CurrentValueCurrentValueObject_CurrentValueSummary:
      type: object
      description: Entity used to manage record's field data.
      discriminator:
        propertyName: discriminator
      oneOf:
        - $ref: '#/components/schemas/CurrentCommonValue_CurrentValueSummary'
        - description: >-
            And other types: CurrentDateValue_CurrentValueSummary,
            CurrentDateRangeValue_CurrentValueSummary,
            CurrentJobValue_CurrentValueSummary,
            CurrentCommonValue_CurrentValueSummary,
            CurrentDateValue_CurrentValueSummary,
            CurrentDateRangeValue_CurrentValueSummary,
            LabelValue_CurrentValueSummary, CleanAttachment_CurrentValueSummary,
            DirtyAttachment_CurrentValueSummary,
            PendingAttachment_CurrentValueSummary,
            CurrentGoogleAttachmentValue_CurrentValueSummary,
            CurrentSharepointAttachmentValue_CurrentValueSummary,
            Active_CurrentValueSummary, Automated_CurrentValueSummary,
            Disabled_CurrentValueSummary, External_CurrentValueSummary,
            Locked_CurrentValueSummary, Service_CurrentValueSummary,
            CurrentNumericRangeValue_CurrentValueSummary,
            CurrentJobValue_CurrentValueSummary
      properties:
        id:
          type: string
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - archived
        - discriminator
        - id
        - isDefault
        - numericValue
        - priority
        - textValue
        - userGroup
        - valueType
    CurrentValueObject_CurrentValueSummary:
      type: object
      description: Entity used to manage record's field data.
      discriminator:
        propertyName: discriminator
      oneOf:
        - description: Circular reference to CurrentCommonValue_CurrentValueSummary
        - description: >-
            And other types: CurrentDateValue_CurrentValueSummary,
            CurrentDateRangeValue_CurrentValueSummary,
            CurrentJobValue_CurrentValueSummary,
            CurrentCommonValue_CurrentValueSummary,
            CurrentDateValue_CurrentValueSummary,
            CurrentDateRangeValue_CurrentValueSummary,
            LabelValue_CurrentValueSummary, CleanAttachment_CurrentValueSummary,
            DirtyAttachment_CurrentValueSummary,
            PendingAttachment_CurrentValueSummary,
            CurrentGoogleAttachmentValue_CurrentValueSummary,
            CurrentSharepointAttachmentValue_CurrentValueSummary,
            Active_CurrentValueSummary, Automated_CurrentValueSummary,
            Disabled_CurrentValueSummary, External_CurrentValueSummary,
            Locked_CurrentValueSummary, Service_CurrentValueSummary,
            CurrentNumericRangeValue_CurrentValueSummary,
            CurrentJobValue_CurrentValueSummary
      properties:
        id:
          type: string
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - archived
        - discriminator
        - id
        - isDefault
        - numericValue
        - priority
        - textValue
        - userGroup
        - valueType
    CurrentValue_CurrentValueSummary:
      type: object
      description: Entity used to manage record's field data.
      discriminator:
        propertyName: discriminator
      oneOf:
        - description: Circular reference to CurrentCommonValue_CurrentValueSummary
        - description: >-
            And other types: CurrentDateValue_CurrentValueSummary,
            CurrentDateRangeValue_CurrentValueSummary,
            CurrentJobValue_CurrentValueSummary,
            CurrentCommonValue_CurrentValueSummary,
            CurrentDateValue_CurrentValueSummary,
            CurrentDateRangeValue_CurrentValueSummary,
            LabelValue_CurrentValueSummary, CleanAttachment_CurrentValueSummary,
            DirtyAttachment_CurrentValueSummary,
            PendingAttachment_CurrentValueSummary,
            CurrentGoogleAttachmentValue_CurrentValueSummary,
            CurrentSharepointAttachmentValue_CurrentValueSummary,
            Active_CurrentValueSummary, Automated_CurrentValueSummary,
            Disabled_CurrentValueSummary, External_CurrentValueSummary,
            Locked_CurrentValueSummary, Service_CurrentValueSummary,
            CurrentNumericRangeValue_CurrentValueSummary,
            CurrentJobValue_CurrentValueSummary
      properties:
        id:
          type: string
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - archived
        - discriminator
        - id
        - isDefault
        - numericValue
        - priority
        - textValue
        - userGroup
        - valueType
    CurrentCommonValue_FullFieldSummary:
      allOf:
        - description: Circular reference to CurrentValue_FullFieldSummary
      required:
        - description
        - guidance
    ControlWorkflow_FullFieldSummary:
      allOf:
        - description: Circular reference to Workflow_FullFieldSummary
        - type: object
          properties:
            recordCount:
              type: integer
              format: int32
            centralFramework:
              type: boolean
      required:
        - active
        - allowAec
        - centralFramework
        - created
        - id
        - recordCount
        - requireGroups
        - updated
        - workflowType
    ServiceLevelAgreement_FullFieldSummary:
      type: object
      properties:
        enabled:
          type: boolean
        duration:
          type: integer
          format: int64
      required:
        - duration
        - enabled
    WorkflowSequence_FullFieldSummary:
      type: object
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      required:
        - active
        - created
        - id
        - updated
    Application_FullFieldSummary:
      type: object
      description: >-
        An entity for managing top-level application data. A application
        represents the highest level of organization for other entities within
        the application.
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        name:
          type: string
          description: Name of the application.
        createdBy:
          $ref: '#/components/schemas/User_FullFieldSummary'
          description: Creator of the application.
        description:
          type: string
          description: Description of the application.
          maxLength: 2000
          minLength: 0
        color:
          type: string
          description: Icon color of the application.
        icon:
          type: string
          description: Icon type of the application.
          enum:
            - >-
              fa-bookmark, fa-bolt, fa-bullhorn,
              fa-certificate,fa-check-square-o, fa-cloud, fa-comments,
              fa-dollar, fa-exclamation-triangle, fa-file-text-o,fa-folder,
              fa-gift, fa-globe, fa-heartbeat, fa-leaf, fa-legal, fa-life-ring,
              fa-medkit, fa-money,fa-percent, fa-rocket, fa-signal,
              fa-university, fa-user-circle
        type:
          type: string
        sourceApplicationId:
          type: string
        sourceEnvironment:
          type: string
        permissionsEnabled:
          type: boolean
        imported:
          type: boolean
        copied:
          type: boolean
        live:
          type: boolean
        currency:
          type: string
          enum:
            - EUR
            - GBP
            - USD
        uxriEnabled:
          type: boolean
          description: Whether or not UXRI is enabled on this application.
        shortCode:
          type: string
          description: Short display code for the application in navigation.
          pattern: ^(?! +$)[a-zA-Z0-9 ]{1,10}$
        defaultHomeScreen:
          $ref: '#/components/schemas/HomeScreen_FullFieldSummary'
      required:
        - active
        - color
        - copied
        - created
        - createdBy
        - currency
        - defaultHomeScreen
        - description
        - icon
        - id
        - imported
        - live
        - name
        - permissionsEnabled
        - shortCode
        - sourceApplicationId
        - sourceEnvironment
        - type
        - updated
        - uxriEnabled
    UserGroup_FullFieldSummary:
      type: object
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        recordDefault:
          type: boolean
        title:
          type: string
        automatedUserGroup:
          type: boolean
        automatedUserGroupFieldLabel:
          type: string
      required:
        - active
        - automatedUserGroup
        - automatedUserGroupFieldLabel
        - created
        - id
        - recordDefault
        - title
        - updated
    PrimaryField_FullFieldSummary:
      type: object
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        field:
          description: Circular reference to Field_FullFieldSummary
        systemField:
          type: string
          enum:
            - NAME
            - STATUS
            - CREATED
            - ENTERED_STEP_DATE
            - USER_DATE
            - EFFECTIVE_DUE_DATE
            - STEP_DUE_DATE
            - CURRENT_DATE
            - DUE_DATE
            - DAYS_UNTIL_DUE
            - SIMILARITY
            - RATIONALE
            - MATCH_CONFIDENCE
            - COMPLETED_DATE
            - LAST_COMPLETED_DATE
            - ID
            - SEQUENCE
            - ASSESSMENT_COUNT
            - USER_NAME
            - USER_ID
            - CREATOR_NAME
            - USER_GROUP
            - STEP_NAME
            - STEP_ID
            - ORIGIN_NAME
            - ORIGIN_ID
            - WORKFLOW_NAME
            - WORKFLOW_RECORD_PREFIX
            - WORKFLOW_ID
            - PRIMARY_FIELD
            - STATE
        name:
          type: string
      required:
        - active
        - created
        - field
        - id
        - name
        - systemField
        - updated
    CurrentValueUserGroupMapping_FullFieldSummary:
      type: object
      properties:
        currentValue:
          $ref: '#/components/schemas/CurrentValue_FullFieldSummary'
        userGroup:
          $ref: '#/components/schemas/UserGroup_FullFieldSummary'
      required:
        - currentValue
        - userGroup
    WorkflowSummaryField_FullFieldSummary:
      type: object
      properties:
        workflow:
          description: Circular reference to Workflow_FullFieldSummary
          writeOnly: true
        field:
          description: Circular reference to Field_FullFieldSummary
        priority:
          type: integer
          format: int32
        neo4jId:
          type: string
        fieldId:
          type: string
      required:
        - priority
    CurrentCommonValue_CurrentValueSummary:
      allOf:
        - description: >-
            Circular reference to
            CurrentValueCurrentValueObject_CurrentValueSummary
        - $ref: '#/components/schemas/CurrentValueObject_CurrentValueSummary'
        - $ref: '#/components/schemas/CurrentValue_CurrentValueSummary'
      required:
        - description
        - guidance
    User_FullFieldSummary:
      allOf:
        - description: Circular reference to Field_FullFieldSummary
      required:
        - fieldType
        - permissionSets
        - roles
    HomeScreen_FullFieldSummary:
      type: object
      properties:
        id:
          type: string
        active:
          type: boolean
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      required:
        - active
        - created
        - id
        - updated
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer
      bearerFormat: API Token
    basic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.